%define	name	knights
%define	version	0.6.4
%define	release %mkrel 2

Summary: 	Chess game for KDE
Name: 		%name
Version: 	%version
Release: 	%release
Source: 	%name-%version.tar.bz2
Group: 		Games/Boards
License: 	GPL
URL: 		http://knights.sourceforge.net
BuildRoot: 	%_tmppath/%{name}-%{version}-buildroot
Provides: 	knights
BuildRequires:	kdelibs-devel

Patch0:         knights-0.6.4-gcc4.patch
%description
A chess interface for the K Desktop Environment. Knights works with all
XBoard compatible chess engines, FICS, and .pgn files.

%prep

%setup -q -n %name
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-xinerama
#		--enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

install -m644 $RPM_BUILD_ROOT%_datadir/icons/hicolor/16x16/apps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%_datadir/icons/hicolor/32x32/apps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 $RPM_BUILD_ROOT%_datadir/icons/hicolor/48x48/apps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
 
%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files  -f %{name}.lang
%defattr(-,root,root)
%_bindir/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%_datadir/applnk/Games/Board/*.desktop

%dir %_datadir/apps/knights/
%_datadir/apps/knights/*.png
%_datadir/apps/knights/*.jpg
%_datadir/apps/knights/*.kml

%dir %_datadir/apps/knights/themes
%_datadir/apps/knights/themes/*.tar.gz
#%_datadir/apps/knights/themes/*.jpg

%dir %_datadir/doc/HTML/cz/knights/
%doc %_datadir/doc/HTML/cz/knights/common

%dir %_datadir/doc/HTML/de/knights/
%doc %_datadir/doc/HTML/de/knights/common

%dir %_datadir/doc/HTML/en/knights/
%doc %_datadir/doc/HTML/en/knights/common
%doc %_datadir/doc/HTML/en/knights/index.docbook

%dir %_datadir/doc/HTML/es/knights/
%doc %_datadir/doc/HTML/es/knights/common

%dir %_datadir/doc/HTML/et/knights/
%doc %_datadir/doc/HTML/et/knights/common

%dir %_datadir/doc/HTML/fr/knights/
%doc %_datadir/doc/HTML/fr/knights/common

%dir %_datadir/doc/HTML/fi/knights/
%doc %_datadir/doc/HTML/fi/knights/common

%dir %_datadir/doc/HTML/it/knights/
%doc %_datadir/doc/HTML/it/knights/common


%_datadir/icons/hicolor/16x16/apps/*.png
%_datadir/icons/hicolor/16x16/mimetypes/*.png

%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/32x32/mimetypes/*.png

%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/icons/hicolor/48x48/mimetypes/*.png

%_datadir/icons/hicolor/64x64/apps/*.png
%dir %_datadir/icons/hicolor/64x64/mimetypes/
%_datadir/icons/hicolor/64x64/mimetypes/*.png

%_datadir/apps/knights/knights.desktop
%_datadir/mimelnk/text/pgn.desktop



%changelog
* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.4-2mdv2008.1
+ Revision: 142745
- kdedesktop2mdkmenu.pl is no more
- kill re-definition of %%buildroot on Pixel's request
- import knights

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Dec 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-2mdk
- Fix buildrequires  from Anssi Hannula 
- use mkrel

* Fri Nov 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-1mdk
- New release 0.6.4
- Fix File section
- Add Patch0 

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6-2mdk
- fix path to qt3 (lib64 issues)

* Sat Jun 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.6-1mdk
- 0.6
- clean up spec file
- fix buildrequires
- fix filelist
- added icons to %%{_*iconsdir}

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.9-4mdk
- Fix spec file

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.9-3mdk
- Rebuild

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.5.9-2mdk
- rebuild

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.9-1mdk
- New version

* Mon Aug 18 2002 Laurent Culioli <laurent@pschit.net> 0.5.6-9mdk

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.6-8mdk
- Rebuild against gcc-3.2

* Tue Jul 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-7mdk
- buildrequires kdesdk

* Mon Jul 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-6mdk
- from Gilles CAULIER <caulier.gilles@free.fr> :
	- Remove the LibGLCore depency.

* Sun Jun 30 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.5.6-5mdk
- Fix a stupid RPM build.

* Sun Jun 30 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.5.6-4mdk
- Fix tar.gz source tarball file. Solve a bug on match.cpp.

* Sun Jun 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5.6-3mdk
- Fix spec file

* Sat Jun 22 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.5.6-2mdk
- Change kde depencie. Add the knights icon to KDE menu. 

* Fri Jun 21 2002 Gilles CAULIER <caulier.gilles@free.fr> 0.5.6-1mdk
- Original release
